#!/bin/ash

# Change that shell to /bin/sh or /bin/bash , if needed.

# bk2site.firefox.sh

# Convert my Mozilla Firefox -bookmarks to format of Galeon (XBEL) with
# ns_parse and then create Yahoo!-like portal with bk2site

# Created by:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv/
# juhtolv (at) iki (dot) fi

# Don't just run this script. Modify it to suit your needs, first.

###########################################################################
# Copyright (C) 2003 Juhapekka "naula" Tolvanen http://iki.fi/juhtolv

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
###########################################################################

# System requirements:

# bk2site
# xbel-utils
# procps

if . ~/.bk2site.dir/bk2site.common.01.sh
then
    :
else
    echo "could not load ~/.bk2site.dir/bk2site.common.01.sh"
    exit 1
fi

##########################################################
# Mozilla Firefox Specific
#

#echo "Converting Bookmarks of Mozilla Firefox from html to Galeon-bookmarks with ns_parse ..."
#rm -f ~/.galeon/bookmarks.xbel
#ns_parse ${FIREFOX_PROFILE}bookmarks.html ~/.galeon/bookmarks.xbel

#echo "Converting Bookmarks of Mozilla Firefox from html to Galeon-bookmarks with bk2site ..."
#rm -f ~/.galeon/bookmarks.xbel
#touch ~/.galeon/bookmarks.xbel
#bk2site -xbel ~/.galeon/bookmarks.xbel ${FIREFOX_PROFILE}bookmarks.html


echo "Converting Bookmarks of Mozilla Firefox from html to Galeon-bookmarks with ns_parse OR bk2site ..."
rm -f ~/.galeon/bookmarks.xbel
touch ~/.galeon/bookmarks.xbel
ns_parse ${FIREFOX_PROFILE}bookmarks.html ~/.galeon/bookmarks.xbel || \
bk2site -xbel ~/.galeon/bookmarks.xbel ${FIREFOX_PROFILE}bookmarks.html


echo "Copying Galeon-bookmarks to Konqueror directory"
cp -f ~/.galeon/bookmarks.xbel ~/.kde/share/apps/konqueror/bookmarks.xml

echo "Copying Mozilla Firefox-bookmarks to Netscape-directory"
cp -f ${FIREFOX_PROFILE}bookmarks.html ~/.netscape/bookmarks.html 

echo "Copying Netscape-bookmarks to Mozilla directory"
cp -f ~/.netscape/bookmarks.html ${MOZILLA_PROFILE}bookmarks.html

# echo "Converting from xbel to Netscape-bookmarks with bk2site ..."
# bk2site -o ~/.netscape/bookmarks.html ~/.galeon/bookmarks.xbel

##########################################################

. ~/.bk2site.dir/bk2site.common.02.sh


